<a id="liveagent_button_online_5731t000000CpIt" href="javascript://Chat" style="display: none;" onclick="liveagent.startChat('5731t000000CpIt')">Chat with Agent- customer 1<!-- Online Chat Content --></a><div id="liveagent_button_offline_5731t000000CpIt" style="display: none;">Chat with Agent- customer 1<!-- Offline Chat Content --></div><script type="text/javascript">
if (!window._laq) { window._laq = []; }
window._laq.push(function(){liveagent.showWhenOnline('5731t000000CpIt', document.getElementById('liveagent_button_online_5731t000000CpIt'));
liveagent.showWhenOffline('5731t000000CpIt', document.getElementById('liveagent_button_offline_5731t000000CpIt'));
});</script>

<script type='text/javascript' src='https://c.la1-c1cs-fra.salesforceliveagent.com/content/g/js/47.0/deployment.js'></script>
<script type='text/javascript'>
liveagent.init('https://d.la1-c1cs-fra.salesforceliveagent.com/chat', '5721t000000CooW', '00D1X0000008hL5');
/* Adds a custom detail called Contact Email and sets it value to jane@doe.com */
liveagent.addCustomDetail('Contact E-mail', 'jane@doe.com');

/* Creates a custom detail called First Name and sets the value to Jane */
liveagent.addCustomDetail('First Name', 'first');

/* Creates a custom detail called Last Name and sets the value to Doe */
liveagent.addCustomDetail('Last Name', 'test');

/* Creates a custom detail called Phone Number and sets the value to 415-555-1212 */
liveagent.addCustomDetail('Phone Number', '415-555-1212');

/* Creates a custom detail called Case Subject and sets the value to 'Refund policy for products' and will perform a knowledge search when the chat is accepted for the agent */
liveagent.addCustomDetail('Case Subject','Refund policy for products').doKnowledgeSearch();

/* Creates a custom detail called Case Status and sets the value to 'New' */
liveagent.addCustomDetail('Case Status','New');

/* This does a non-exact search on cases by the value of the 'Case Subject' custom detail If no results are found, it will create a case and set the case's subject and status.
The case that's found or created will be associated to the chat and the case will open in the Console for the agent when the chat is accepted */
liveagent.findOrCreate('Case').map('Subject','Case Subject',false,false,true).map('Status','Case Status',false,false,true).saveToTranscript('CaseId').showOnCreate();

/* Saves the custom detail to a custom field on LiveChatTranscript at the end of a chat.  Assumes a custom field called Company__c was added to the Live Chat Transcript object */
liveagent.addCustomDetail('Company', 'Acme').saveToTranscript('Company__c');


/* Sets the display name of the visitor in the agent console when engaged in a chat */
liveagent.setName('first test');

/* Sets the width of the chat window to 500px */
liveagent.setChatWindowWidth(500);


/* Sets the height of the chat window to 500px */
liveagent.setChatWindowHeight(500);
</script>